%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name ztail
%define f_pkg_name ztail
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: ztail
Version: 1.0.1
Release: alt1
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: ???
Source: %name-%version.tar
Summary: Multi-file, colored, filtered log tailer.
# Automatically added by buildreq on Thu Sep 16 2010
BuildRequires: ghc-alex ghc-happy ghc-hinotify ghc-hscolour ghc-regex-compat

BuildRequires: ghc
BuildRequires(pre): rpm-build-haskell



%description
An even more improved version of xtail/tail -f, including inotify support,
full regex-based filtering, substitution, and colorization.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
runghc Setup copy --destdir=%buildroot

%files
%_bindir/ztail

%changelog
* Tue Mar 08 2011 Denis Smirnov <mithraen@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sun Oct 24 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt3
- rebuild

* Tue Oct 19 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt2
- rebuild

* Fri Sep 10 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- Spec created by cabal2rpm 0.20_08
